Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.utility
Class CockpitLayout

    java.lang.Object
      kieker.webgui.web.utility.CockpitLayout

    public final class CockpitLayout

extends Object

This is a helper class to manage and modify the layout of the cockpit.

Author:
  Nils Christian Ehmke

Constructor Summary
`CockpitLayout(kieker.analysis.model.analysisMetaModel.MIProject project, String layoutString, int numberColumns)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `addDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view, kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector, int column)` Adds a display connector to the layout.
`void` | `addView(kieker.analysis.model.analysisMetaModel.MIView view)` Adds a view to manage.
`List<List<kieker.analysis.model.analysisMetaModel.MIDisplayConnector>>` | `getCurrentLayout(kieker.analysis.model.analysisMetaModel.MIView view)` Delivers the current layout of the given view.
`void` | `moveDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view, kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector, int fromColumn, int column, int row)` Moves a display connector from one column to another.
`void` | `removeDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view, kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector)` Removes a display connector and its layout from this object.
`void` | `removeView(kieker.analysis.model.analysisMetaModel.MIView view)` Removes a view and its layout from this object.
`String` | `serializeToString()` Serializes the current layout into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CockpitLayout

    public CockpitLayout(kieker.analysis.model.analysisMetaModel.MIProject project,
                         String layoutString,
                         int numberColumns)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `project` - The corresponding project to the layout.
    `layoutString` - The initial layout string. This parameter is optional and can be null.
    `numberColumns` - The number of columns for the layout. It is assumed that this value is not zero or negative.

Method Detail

### getCurrentLayout

    public List<List<kieker.analysis.model.analysisMetaModel.MIDisplayConnector>> getCurrentLayout(kieker.analysis.model.analysisMetaModel.MIView view)

  Delivers the current layout of the given view. The result is a list of lists. Each of the lists represent a column. Each column contains the display connectors in the correct order.

  Parameters:
    `view` - The view whose layout will be delivered.
  Returns:
    A copy of the current layout.

### addView

    public final void addView(kieker.analysis.model.analysisMetaModel.MIView view)

  Adds a view to manage.

  Parameters:
    `view` - The new view.

### removeView

    public final void removeView(kieker.analysis.model.analysisMetaModel.MIView view)

  Removes a view and its layout from this object.

  Parameters:
    `view` - The view to remove.

### addDisplayConnector

    public final void addDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view,
                                          kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector,
                                          int column)

  Adds a display connector to the layout. It will be added at the end of the given column.

  Parameters:
    `view` - The corresponding view.
    `displayConnector` - The display connector to add.
    `column` - The column index. It is assumed that this is a valid index.

### moveDisplayConnector

    public final void moveDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view,
                                           kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector,
                                           int fromColumn,
                                           int column,
                                           int row)

  Moves a display connector from one column to another.

  Parameters:
    `view` - The corresponding view.
    `displayConnector` - The display connector to move.
    `fromColumn` - The source column.
    `column` - The new column.
    `row` - The new row of the connector.

### removeDisplayConnector

    public final void removeDisplayConnector(kieker.analysis.model.analysisMetaModel.MIView view,
                                             kieker.analysis.model.analysisMetaModel.MIDisplayConnector displayConnector)

  Removes a display connector and its layout from this object.

  Parameters:
    `view` - The corresponding view.
    `displayConnector` - The display connector to remove.

### serializeToString

    public String serializeToString()

  Serializes the current layout into a string. The string can be used in the constructor of this class to load a layout.

  Returns:
    A string representation of this layout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.